// pages/member/rankingListSecond/rankingListSecond.js
var app = getApp();
Page({
  /**
   * 页面的初始数据
   */
  data: {
    language: "",
    is_first_content: false,
    is_second_content: false,
    mailLanguage: "",
    mailFullReturnTitle: "",
    mailFullReturnName: "",
    activeName: "first",
    first_content: [],
    second_content: [],
    alreadyReturn: 0.0,
    each_return_rate: 0,
    order_return_rate: 0,
    returnAmountTotal: 0.0,
    notReturn: 0.0,
    fullReturnName: "",
    isShow: false,
    return_list_name: "",
    page: 1,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.checkrouter();
    this.initMailLanguage();
    this.getData(); // 初始化数据
  },
  checkrouter() {
    try {
      // 推广中心是否开启该功能，没开启跳转到指定路径
      let basic_info = wx.getStorageSync("yz_basic_info");
      let stop_info = basic_info.popularize_page.mini.vue_route;
      for (let i = 0; i < stop_info.length; i++) {
        if (stop_info[i] == "full_return_center") {
          console.log(basic_info.popularize_page.mini.mini_url + "跳转的路径");

          wx.showToast({
            title: "未开启推广权限",
            duration: 1000,
            icon: "none",
            success: function () {
              setTimeout(() => {
                wx.redirectTo({
                  url: basic_info.popularize_page.mini.mini_url,
                });
              }, 1000);
            },
          });
          return;
        }
      }
    } catch (e) {
      console.log(e);
    }
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
    let language = wx.getStorageSync("langIndex");
    this.setData({ language: language.en });
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {},

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {},

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    console.log(this.data.current_page, this.data.last_page);
    if (this.data.current_page >= this.data.last_page) {
      return;
    } else {
      let pages = this.data.page + 1;
      this.setData({
        page: pages,
      });
      this.getMoreData();
    }
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {},
  initMailLanguage() {
    let mailLanguage;
    let urlStr = app.getNetAddresss("setting.get-lang-setting");
    app._getNetWork({
      url: urlStr,
      success: (res) => {
        let resdata = res.data;
        if (resdata.result === 1) {
          mailLanguage = resdata.data;
          let mailFullReturnTitle = app.setMailLanguage("消费满额赠送", mailLanguage.full_return.full_return);
          let mailFullReturnName = app.setMailLanguage("赠送", mailLanguage.full_return.return_name);
          let mailFullReturnLog = app.setMailLanguage("满额返现记录", mailLanguage.full_return.full_return_log);
          this.setData({
            mailLanguage,
            mailFullReturnTitle,
            mailFullReturnName,
            mailFullReturnLog,
          });
          wx.setNavigationBarTitle({
            title: mailFullReturnName ? mailFullReturnName : "",
          });
        } else {
          wx.showToast({
            title: resdata.msg,
            icon: "none",
          });
        }
      },
      fail: function (res) {
        console.log(res);
      },
    });
  },
  // 初始化数据
  getData() {
    let urlStr = app.getNetAddresss("plugin.full-return.frontend.list.index");
    app._getNetWork({
      url: urlStr,
      data: {
        page: this.data.page,
      },
      success: (res) => {
        let resdata = res.data;
        if (resdata.result === 1) {
          var isShow = false;
          if (resdata.data.is_show_return_list == "0") {
            isShow = false;
          } else {
            isShow = true;
          }
          this.setData({
            alreadyReturn: resdata.data.finish,
            returnAmountTotal: resdata.data.total,
            notReturn: resdata.data.surplus,
            first_content: resdata.data.list.data,
            fullReturnName: resdata.data.full_return_name,
            isShow,
            return_list_name: resdata.data.return_list_name,
            current_page: resdata.data.list.current_page,
            last_page: resdata.data.list.last_page,
          });
        } else {
          wx.showToast({
            title: resdata.msg,
            icon: "none",
          });
        }
      },
      fail: function (res) {
        console.log(res);
      },
    });
  },
  getMoreData() {
    var that = this;
    let urlStr = app.getNetAddresss("plugin.full-return.frontend.list.index");
    app._getNetWork({
      url: urlStr,
      data: {
        page: that.data.page,
      },
      success: (res) => {
        let resdata = res.data;
        if (resdata.result === 1) {
          let next = resdata.data.list.data;
          that.setData({
            first_content: that.data.first_content.concat(next),
            current_page: resdata.data.list.current_page,
            last_page: resdata.data.list.last_page,
          });
        } else {
          wx.showToast({
            title: resdata.msg,
            icon: "none",
          });
        }
      },
      fail: function (res) {
        console.log(res);
      },
    });
  },
  // 满额返现队列详情
  toReturnInfo(val) {
    var id = val.currentTarget.dataset.id || val.target.dataset.id;
    wx.navigateTo({
      url: "/packageB/member/income/full_return_list_info/full_return_list_info" + "?id=" + id,
    });
  },

  // 获取返现
  getReturnListInfo() {
    let urlStr = app.getNetAddresss("plugin.full-return.frontend.detail.index");
    app._getNetWork({
      url: urlStr,
      success: (res) => {
        let resdata = res.data;
        if (resdata.result === 1) {
          this.setData({
            second_content: resdata.data,
          });
        } else {
          wx.showToast({
            title: resdata.msg,
            icon: "none",
          });
        }
      },
      fail: function (res) {
        console.log(res);
      },
    });
  },
});
